package com.approximatrix.draco.fit.ui.statistics;

import javax.swing.JCheckBoxMenuItem;

import com.approximatrix.draco.fit.statistics.ExtendedStatistic;

public abstract class ExtendedStatisticMenuItem extends JCheckBoxMenuItem {

	protected ExtendedStatistic stat = null;
	
	public ExtendedStatisticMenuItem() {
		super();
		this.setSelected(false);
	}
	
	protected void setName() {
		this.setText(stat.getName());
	}
	
	public ExtendedStatistic getStatistic() {
		return stat;
	}
}
